import { IWidgetInteractions, WidgetInteractionEvent } from "../apis/api.interfaces";
import { IWidgetInstanceInternal } from "../orchestrator/IWidgetInstanceInternal";
import { WidgetApi } from "../orchestrator/WidgetApi";
export declare class WidgetInteractionsApi extends WidgetApi implements IWidgetInteractions {
    private _eventListeners;
    constructor(widgetInstance: IWidgetInstanceInternal);
    addEventListener(listener: (eventName: WidgetInteractionEvent) => void): void;
    removeEventListener(listener: (eventName: WidgetInteractionEvent) => void): void;
    onTitleInteracted(): void;
    onSettingsInteracted(): void;
    onWidgetPositionUpdated(): void;
    private fireEvent;
}
